Bug 677089 - Review Request: php-pear-XML-RPC2 - XML-RPC client/server library
Summary: Review Request: php-pear-XML-RPC2 - XML-RPC client/server library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-13 09:30 UTC by Remi Collet
Modified: 2011-03-10 17:25 UTC (History)
3 users (show)

Fixed In Version: php-pear-XML-RPC2-1.0.6-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 03:13:35 UTC
karlthered: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-02-13 09:30:43 UTC
Spec URL: http://remi.fedorapeople.org/php-pear-XML-RPC2.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-XML-RPC2-1.0.6-1.fc14.src.rpm
Description: 
XML_RPC2 is a pear package providing XML_RPC client and server services.
XML-RPC is a simple remote procedure call protocol built using HTTP as
transport and XML as encoding.
As a client library, XML_RPC2 is capable of creating a proxy class which
exposes the methods exported by the server. As a server library, XML_RPC2
is capable of exposing methods from a class or object instance, seamlessly
exporting local methods as remotely callable procedures.

--
rpmlint -s silent
Koji scratch build :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2836735

This is a new dependency of PHPUnit

Comment 1 Haïkel Guémar 2011-02-20 16:29:22 UTC
php-pear-XML-RPC2 (PHP noarch package)

all relevant MUST and SHOULD points are listed here.

Must: rplint on src.rpm and binary rpms   OK 
$ rpmlint -iv php-pear-XML-RPC2-1.0.6-1.fc14.src.rpm
php-pear-XML-RPC2.src: I: checking
php-pear-XML-RPC2.src: I: checking-url http://pear.php.net/package/XML_RPC2 (timeout 10 seconds)
php-pear-XML-RPC2.src: I: checking-url http://pear.php.net/get/XML_RPC2-1.0.6.tgz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -iv php-pear-XML-RPC2-1.0.6-1.fc14.noarch.rpm
php-pear-XML-RPC2.noarch: I: checking
php-pear-XML-RPC2.noarch: I: checking-url http://pear.php.net/package/XML_RPC2 (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


MUST: package is named accordingly to general and PHP specific naming guidelines. OK

MUST: spec file name matches %{name} OK

MUST: package meet general and PHP/PEAR packaging guidelines. OK 

MUST: package is licensed under a fedora compliant license (LGPLv2+) OK

MUST: spec is written in legible american english. OK

MUST: provided and upstream sources checksums match.  OK
provided sources: a7ac54a9d89257dd4f2a4f20c88d9f8ee5b77a03
upstream sources: a7ac54a9d89257dd4f2a4f20c88d9f8ee5b77a03

MUST: compilation tested on all supported platforms (x86 and x86_64) for F14 under mock. OK
Note: not difficult since this is a noarch package ;)

MUST: package doesn't bundle third party libraries. OK

MUST: package owns created directories (and only them). OK

MUST: files are not listed twice. OK
 
MUST: files permissions are properly set. OK

MUST: consistent use of macros. OK

MUST: only ships permissible content. OK

MUST: doc is properly handled. OK

MUST: filenames are valid UTF-8. OK 

SHOULD: package functions as described. OK
Note: i was able to build a minimal XML-RPC client (thanks to XML_RPC2 documentation) and it worked as expected.

General and php/PEAR specific guidelines are respected, as for the files excluded, an upstream ticket has been opened and it doesn't seem to prevent it from working.
Hereby, i grant this package my approval to join Fedora packages collection.

Comment 2 Remi Collet 2011-02-20 16:51:57 UTC
Thanks for the review


New Package SCM Request
=======================
Package Name: php-pear-XML-RPC2
Short Description: XML-RPC client/server library
Owners: remi
Branches: f14 f15 el6
InitialCC:

Comment 3 Jason Tibbitts 2011-02-21 20:38:16 UTC
This ticket is not assigned to anyone.  It should be assigned to the reviewer.
Please fix and re-raise the fedora-cvs flag.

Comment 4 Haïkel Guémar 2011-02-21 20:40:26 UTC
fixed

Comment 5 Jason Tibbitts 2011-02-22 17:14:31 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-02-23 09:29:26 UTC
php-pear-XML-RPC2-1.0.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-pear-XML-RPC2-1.0.6-1.fc15

Comment 7 Fedora Update System 2011-02-23 09:30:01 UTC
php-pear-XML-RPC2-1.0.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-pear-XML-RPC2-1.0.6-1.fc14

Comment 8 Fedora Update System 2011-02-23 09:30:26 UTC
php-pear-XML-RPC2-1.0.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-XML-RPC2-1.0.6-1.el6

Comment 9 Fedora Update System 2011-02-23 20:29:40 UTC
php-pear-XML-RPC2-1.0.6-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-XML-RPC2'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-pear-XML-RPC2-1.0.6-1.fc15

Comment 10 Fedora Update System 2011-03-03 03:13:30 UTC
php-pear-XML-RPC2-1.0.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-05 23:00:05 UTC
php-pear-XML-RPC2-1.0.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-10 17:25:26 UTC
php-pear-XML-RPC2-1.0.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.